de.esprit.common.log

## Interface LogSupport

- All Known Implementing Classes:
    ApplicationContext, AppStarterContext, ClientContext, CoClientContext, DebugTaskListener, GuiClientContext, LogChannel, LogSupportAdapter, RawClientContext, ServerContext, TableEditContext

      public interface LogSupport

  This interface defines common logging methods
  Author:
    Rainer Buesch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LogLevel` | `getLogLevel()`
    `boolean` | `isLogDebug()` Tells whether the current `LogLevel` is DEBUG
    `boolean` | `isLogVerbose()` Tells whether the current `LogLevel` is VERBOSE
    `void` | `logDebug(java.lang.Object caller, java.lang.String message)`
    `void` | `logDump(java.lang.Object caller, java.lang.String message)`
    `void` | `logError(java.lang.Object caller, java.lang.String message)`
    `void` | `logError(java.lang.Object caller, java.lang.String message, java.lang.Exception e)`
    `void` | `logFatal(java.lang.Object caller, java.lang.String message, java.lang.Exception e)`
    `void` | `logInfo(java.lang.Object caller, java.lang.String message)`
    `void` | `logVerbose(java.lang.Object caller, java.lang.String message)`
    `void` | `logWarning(java.lang.Object caller, java.lang.String message)`
    `void` | `setLogLevel(LogLevel level)`

- - ### Method Detail

    - #### logFatal

          void logFatal(java.lang.Object caller,
                      java.lang.String message,
                      java.lang.Exception e)

    - #### logError

          void logError(java.lang.Object caller,
                      java.lang.String message,
                      java.lang.Exception e)

    - #### logError

          void logError(java.lang.Object caller,
                      java.lang.String message)

    - #### logWarning

          void logWarning(java.lang.Object caller,
                        java.lang.String message)

    - #### logInfo

          void logInfo(java.lang.Object caller,
                     java.lang.String message)

    - #### logVerbose

          void logVerbose(java.lang.Object caller,
                        java.lang.String message)

    - #### logDebug

          void logDebug(java.lang.Object caller,
                      java.lang.String message)

    - #### logDump

          void logDump(java.lang.Object caller,
                     java.lang.String message)

    - #### getLogLevel

          LogLevel getLogLevel()

    - #### setLogLevel

          void setLogLevel(LogLevel level)

    - #### isLogDebug

          boolean isLogDebug()

      Tells whether the current `LogLevel` is DEBUG

    - #### isLogVerbose

          boolean isLogVerbose()

      Tells whether the current `LogLevel` is VERBOSE

Copyright © 2014 EsprIT-Systems. All Rights Reserved.